# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  config.vm.box = "/home/fernando/workspace-packer/devimages/centos7/builds/centos7-x86_64-virtualbox-.box"
  # config.vm.box_check_update = false
  # config.vm.network "forwarded_port", guest: 80, host: 8080
  config.vm.network "private_network", ip: "192.168.33.10"
  # config.vm.network "public_network"
  # config.vm.synced_folder "../data", "/vagrant_data"
  config.vm.provider "virtualbox" do |vb|
    # Customize the amount of memory on the VM:
    vb.memory = "8024"
	vb.cpus = "2"
  end

  config.vm.provision "file", source: "./docker-main.repo", destination: "~/docker-main.repo"
  config.vm.provision "file", source: "./ZscalerRootCA-ZscalerInc-dockeruse.der", destination: "~/ZscalerRootCA-ZscalerInc-dockeruse.der"
  config.vm.provision "file", source: "./dockeradmin", destination: "~/dockeradmin"

  config.vm.provision "shell", path: "provision.sh"
end
